std::_List_base< _Tp, _Alloc >(3cxx)

NAME
std::_List_base< _Tp, _Alloc > - See bits/stl_deque.h's _Deque_base for an explanation.

SYNOPSIS

#include <stl_list.h>

Inherited by std::list< __inp, __rebind_inp > [protected], and std::list< _Tp, _Alloc > [protected].

  Public Types

typedef _Alloc allocator_type

  Public Member Functions

_List_base (_List_base &&)=default
_List_base (_List_base &&__x, _Node_alloc_type &&__a)
_List_base (_Node_alloc_type &&__a)
_List_base (_Node_alloc_type &&__a, _List_base &&__x)
_List_base (const _Node_alloc_type &__a) noexcept
void _M_clear () noexcept
const _Node_alloc_type & _M_get_Node_allocator () const noexcept
_Node_alloc_type & _M_get_Node_allocator () noexcept
void _M_init () noexcept
void _M_move_nodes (_List_base &&__x)

  Protected Types

typedef __gnu_cxx::__alloc_traits< _Node_alloc_type > _Node_alloc_traits
typedef _Tp_alloc_traits::template rebind< _List_node< _Tp > >::other _Node_alloc_type
typedef __gnu_cxx::__alloc_traits< _Tp_alloc_type > _Tp_alloc_traits
typedef __gnu_cxx::__alloc_traits< _Alloc >::template rebind< _Tp >::other _Tp_alloc_type

  Protected Member Functions

void _M_dec_size (size_t)
size_t _M_distance (const void *, const void *) const
_Node_alloc_traits::pointer _M_get_node ()
size_t _M_get_size () const
void _M_inc_size (size_t)
size_t _M_node_count () const
void _M_put_node (typename _Node_alloc_traits::pointer __p) noexcept
void _M_set_size (size_t)

  Static Protected Member Functions

static size_t _S_distance (const __detail::_List_node_base *__first, const __detail::_List_node_base *__last)

  Protected Attributes

_List_impl _M_impl

Detailed Description

  template<typename _Tp, typename _Alloc>
class std::_List_base< _Tp, _Alloc >"See bits/stl_deque.h's _Deque_base for an explanation.

Definition at line 345 of file stl_list.h.

Member Typedef Documentation

  template<typename _Tp , typename _Alloc > typedef __gnu_cxx::__alloc_traits<_Node_alloc_type> std::_List_base< _Tp, _Alloc >::_Node_alloc_traits [protected]

Definition at line 353 of file stl_list.h.

  template<typename _Tp , typename _Alloc > typedef _Tp_alloc_traits::template rebind<_List_node<_Tp>>::other std::_List_base< _Tp, _Alloc >::_Node_alloc_type [protected]

Definition at line 352 of file stl_list.h.

  template<typename _Tp , typename _Alloc > typedef __gnu_cxx::__alloc_traits<_Tp_alloc_type> std::_List_base< _Tp, _Alloc >::_Tp_alloc_traits [protected]

Definition at line 350 of file stl_list.h.

  template<typename _Tp , typename _Alloc > typedef __gnu_cxx::__alloc_traits<_Alloc>::template rebind<_Tp>::other std::_List_base< _Tp, _Alloc >::_Tp_alloc_type [protected]

Definition at line 349 of file stl_list.h.

  template<typename _Tp , typename _Alloc > typedef _Alloc std::_List_base< _Tp, _Alloc >::allocator_type

Definition at line 445 of file stl_list.h.

Constructor & Destructor Documentation

  template<typename _Tp , typename _Alloc > std::_List_base< _Tp, _Alloc >::_List_base (const _Node_alloc_type & __a) [inline], [noexcept]

Definition at line 461 of file stl_list.h.

  template<typename _Tp , typename _Alloc > std::_List_base< _Tp, _Alloc >::_List_base (_List_base< _Tp, _Alloc > && __x, _Node_alloc_type && __a) [inline]

Definition at line 469 of file stl_list.h.

  template<typename _Tp , typename _Alloc > std::_List_base< _Tp, _Alloc >::_List_base (_Node_alloc_type && __a, _List_base< _Tp, _Alloc > && __x) [inline]

Definition at line 479 of file stl_list.h.

  template<typename _Tp , typename _Alloc > std::_List_base< _Tp, _Alloc >::_List_base (_Node_alloc_type && __a) [inline]

Definition at line 484 of file stl_list.h.

  template<typename _Tp , typename _Alloc > std::_List_base< _Tp, _Alloc >::~_List_base () [inline], [noexcept]

Definition at line 494 of file stl_list.h.

Member Function Documentation

  template<typename _Tp , typename _Alloc > void std::_List_base< _Tp, _Alloc >::_M_clear () [noexcept]

Definition at line 66 of file list.tcc.

  template<typename _Tp , typename _Alloc > void std::_List_base< _Tp, _Alloc >::_M_dec_size (size_t) [inline], [protected]

Definition at line 422 of file stl_list.h.

  template<typename _Tp , typename _Alloc > size_t std::_List_base< _Tp, _Alloc >::_M_distance (const void *, const void *) const [inline], [protected]

Definition at line 425 of file stl_list.h.

  template<typename _Tp , typename _Alloc > _Node_alloc_traits::pointer std::_List_base< _Tp, _Alloc >::_M_get_node () [inline], [protected]

Definition at line 437 of file stl_list.h.

  template<typename _Tp , typename _Alloc > const _Node_alloc_type & std::_List_base< _Tp, _Alloc >::_M_get_Node_allocator () const [inline], [noexcept]

Definition at line 452 of file stl_list.h.

  template<typename _Tp , typename _Alloc > _Node_alloc_type & std::_List_base< _Tp, _Alloc >::_M_get_Node_allocator () [inline], [noexcept]

Definition at line 448 of file stl_list.h.

  template<typename _Tp , typename _Alloc > size_t std::_List_base< _Tp, _Alloc >::_M_get_size () const [inline], [protected]

Definition at line 419 of file stl_list.h.

  template<typename _Tp , typename _Alloc > void std::_List_base< _Tp, _Alloc >::_M_inc_size (size_t) [inline], [protected]

Definition at line 421 of file stl_list.h.

  template<typename _Tp , typename _Alloc > void std::_List_base< _Tp, _Alloc >::_M_init () [inline], [noexcept]

Definition at line 501 of file stl_list.h.

  template<typename _Tp , typename _Alloc > void std::_List_base< _Tp, _Alloc >::_M_move_nodes (_List_base< _Tp, _Alloc > && __x) [inline]

Definition at line 489 of file stl_list.h.

  template<typename _Tp , typename _Alloc > size_t std::_List_base< _Tp, _Alloc >::_M_node_count () const [inline], [protected]

Definition at line 428 of file stl_list.h.

  template<typename _Tp , typename _Alloc > void std::_List_base< _Tp, _Alloc >::_M_put_node (typename _Node_alloc_traits::pointer __p) [inline], [protected], [noexcept]

Definition at line 441 of file stl_list.h.

  template<typename _Tp , typename _Alloc > void std::_List_base< _Tp, _Alloc >::_M_set_size (size_t) [inline], [protected]

Definition at line 420 of file stl_list.h.

  template<typename _Tp , typename _Alloc > static size_t std::_List_base< _Tp, _Alloc >::_S_distance (const __detail::_List_node_base * __first, const __detail::_List_node_base * __last) [inline], [static], [protected]

Definition at line 357 of file stl_list.h.

Member Data Documentation

  template<typename _Tp , typename _Alloc > _List_impl std::_List_base< _Tp, _Alloc >::_M_impl [protected]

Definition at line 397 of file stl_list.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.